com.h3c.util.snmp.command

## Enum SnmpError

- java.lang.Object
- - java.lang.Enum<SnmpError>
  - - com.h3c.util.snmp.command.SnmpError

- All Implemented Interfaces:
    Serializable, Comparable<SnmpError>

      public enum SnmpError
      extends Enum<SnmpError>

  SNMP Error.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `REQUEST_INITIAL` Request inital
    `REQUEST_INVALID_DISCOVERY_RESPONSE_ERROR` Request invalid discovery response error
    `REQUEST_OK` Request OK
    `REQUEST_PDU_ERROR` Request PDU error
    `REQUEST_TIME_OUT` Request timeout
    `RESPONSE_AUTHORIZATION_ERROR` Response authorization error
    `RESPONSE_DECRYPTION_ERROR` Response decryption error
    `RESPONSE_INVALID_VB_COUNT_ERROR` Response invalid variable bind count error
    `RESPONSE_OK` Response OK
    `RESPONSE_PDU_ERROR` Response PDU Error
    `RESPONSE_PDU_VARBIND_ERROR` Response PDU variable binding error
    `RESPONSE_USM_ERROR` Response USM error
    `RESPONSE_WALK_RESPONSE_ERROR` Response walk response error
    `UNKNOWN_ERROR` Unknown error

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SnmpError` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SnmpError[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REQUEST_INITIAL

          public static final SnmpError REQUEST_INITIAL

      Request inital

    - #### REQUEST_OK

          public static final SnmpError REQUEST_OK

      Request OK

    - #### REQUEST_TIME_OUT

          public static final SnmpError REQUEST_TIME_OUT

      Request timeout

    - #### REQUEST_PDU_ERROR

          public static final SnmpError REQUEST_PDU_ERROR

      Request PDU error

    - #### REQUEST_INVALID_DISCOVERY_RESPONSE_ERROR

          public static final SnmpError REQUEST_INVALID_DISCOVERY_RESPONSE_ERROR

      Request invalid discovery response error

    - #### RESPONSE_OK

          public static final SnmpError RESPONSE_OK

      Response OK

    - #### RESPONSE_PDU_ERROR

          public static final SnmpError RESPONSE_PDU_ERROR

      Response PDU Error

    - #### RESPONSE_PDU_VARBIND_ERROR

          public static final SnmpError RESPONSE_PDU_VARBIND_ERROR

      Response PDU variable binding error

    - #### RESPONSE_USM_ERROR

          public static final SnmpError RESPONSE_USM_ERROR

      Response USM error

    - #### RESPONSE_WALK_RESPONSE_ERROR

          public static final SnmpError RESPONSE_WALK_RESPONSE_ERROR

      Response walk response error

    - #### RESPONSE_INVALID_VB_COUNT_ERROR

          public static final SnmpError RESPONSE_INVALID_VB_COUNT_ERROR

      Response invalid variable bind count error

    - #### RESPONSE_DECRYPTION_ERROR

          public static final SnmpError RESPONSE_DECRYPTION_ERROR

      Response decryption error

    - #### RESPONSE_AUTHORIZATION_ERROR

          public static final SnmpError RESPONSE_AUTHORIZATION_ERROR

      Response authorization error

    - #### UNKNOWN_ERROR

          public static final SnmpError UNKNOWN_ERROR

      Unknown error

  - ### Method Detail

    - #### values

          public static SnmpError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SnmpError c : SnmpError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SnmpError valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.